<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Api\Data;

interface CarouselSearchResultsInterface extends \Magento\Framework\Api\SearchResultsInterface
{

    /**
     * Get Carousel list.
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselInterface[]
     */
    public function getItems();

    /**
     * Set name list.
     * @param \Pinpoint\CarouselManager\Api\Data\CarouselInterface[] $items
     * @return $this
     */
    public function setItems(array $items);
}

